package com.bonus.hn.bearing.capacity.backstage.companypro.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.SelectBean;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.service
 * 类名称：ProjectManagerService
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
public interface ProjectManagerService {
    List<ProjectManagerBean> getProjectManagementTeamsList(ProjectManagerBean o);

    List<SelectBean> getBranchName(SelectBean o);

    List<SelectBean> getVoltageLevel(SelectBean o);

    List<SelectBean> getProName(SelectBean o);

    List<SelectBean> getTeamType(SelectBean o);

    List<ProjectManagerBean> getProjectManagementTeamsFormList(ProjectManagerBean o);

    List<ProjectManagerBean> getProManageTeamNum(ProjectManagerBean o);

    int addProManageTeam(ProjectManagerBean bean);

    int updateProManageTeam(ProjectManagerBean bean);

    int delProManageTeamById(ProjectManagerBean bean);

    List<TreeBean> getCompanyProTree(TreeBean o);

    List<ProjectManagerBean> getTeamsList(ProjectManagerBean o);

    int bindOrUnBindProTeam(ProjectManagerBean bean);

    int delProTeamPersonById(ProjectManagerBean bean);

    List<SelectBean> getProjectName(SelectBean o);

    List<SelectBean> getEngineerLevel(SelectBean o);

    List<SelectBean> getBearingCapacity(SelectBean o);

    List<SelectBean> getRealNameSystem(SelectBean o);

    List<ProjectManagerBean> getProPersonList(ProjectManagerBean o);
}
